%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%     compute  membership degrees U (PCM)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function u=PCM_u(d,eta,m)
s=size(d);
s1=s(1); 
s2=s(2); 
u=zeros(s1,s2);
r=1/(m-1);
for j=1:s2
    for i=1:s1
        u(i,j)=1/(1+(d(i,j)*d(i,j)/eta(i,1))^r);
    end
end
