%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%        Compute eta (WPCM)               
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function eta=WPCM_eta(u,d,m,K,w)
s=size(d);
s1=s(1);
s2=s(2);
eta=zeros(s1,1);
for i=1:s1
    temp_n=0;
    temp_d=0;
    for j=1:s2
        temp_n=temp_n+w(j,1)*(u(i,j)^m)*(d(i,j)^2);
        temp_d=temp_d+w(j,1)*(u(i,j)^m);
    end
    eta(i,1)=K*temp_n/temp_d;
end