%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%         Compute centriods (FCM)                 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function c=FCM_c(u,data,m)
s=size(u);
s1=s(1);   
s2=s(2);   
s_d=size(data);
s_d1=s_d(1);
s_d2=s_d(2);
c=zeros(s1,s_d2);
for i=1:s1
    temp_n=zeros(1,s_d2);
    temp_d=0;
    for j=1:s2
        temp_n=temp_n+(u(i,j)^m)*data(j,:);
        temp_d=temp_d+u(i,j)^m;
    end
    c(i,:)=temp_n/temp_d;
end