%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%    comute mebership degrees (FCM)                 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function u=FCM_u(d,m)
s=size(d);
s1=s(1); 
s2=s(2);
u=zeros(s1,s2);
r=2/(m-1);
for j=1:s2
    temp1=ones(1,s1);   
    for i1=1:s1
        temp2=ones(1,s1);
        temp2=temp2*(d(i1,j)^r);
        temp2(1,i1)=1;
        temp1=temp1.*temp2;
    end
    temp3=0;
    for i2=1:s1
        temp3=temp3+temp1(1,i2);
    end
    for i3=1:s1        
        u(i3,j)=temp1(1,i3)/temp3;
    end
end